# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(Shell.pm)
# END SourceDeps(oneline)
Name:		webcpp
Version:	0.8.4
Release:	alt1_9
Summary:	Convert C++ code to HTML
License:	GPLv2
Group:		Development/Tools
URL:		http://webcpp.sourceforge.net
Source:		http://prdownloads.sourceforge.net/webcpp/%{name}-%{version}-src.tar.gz
Patch0:		webcpp-0.8.4-typo.patch
Patch1:     webcpp-0.8.4-gcc43.patch
Source44: import.info

%description
Web C Plus Plus is a command line utility that takes your source 
code, and converts it into an HTML file using a fully customizable 
syntax highlighting engine and colour schemes. This is useful if 
you want to post your code online and make it easier to read, or 
to make online programming tutorials. 

%prep
%setup -qn %{name}-%{version}-src
%patch0 -p1 -b .typo
%patch1 -p1 -b .gcc43

%build
%configure
make %{?_smp_mflags}

%install
install -Dpm 755 %{name}/webcpp $RPM_BUILD_ROOT%{_bindir}/webcpp


%files
%doc README docs.html
%{_bindir}/webcpp


%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.4-alt1_9
- initial fc import

